Skip to main content
GET
/
chef-runs
List Chef compose-run records
curl --request GET \
  --url https://api.interchange.io/api/v2/storefront/chef-runs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "storefrontId": "<string>",
      "operatingInstructionsVersion": 0,
      "buyerScope": {
        "operatorDomain": "<string>",
        "brandDomain": "<string>",
        "country": "<string>"
      },
      "buyerInstructions": {
        "matchedRowIds": [
          "<string>"
        ],
        "effectiveDiscountPercent": 123,
        "notes": [
          "<string>"
        ]
      },
      "brief": "<string>",
      "buyingMode": "<string>",
      "ingredientsSnapshot": "<unknown>",
      "prompt": "<string>",
      "rawLlmOutput": "<unknown>",
      "parsedOutput": "<unknown>",
      "runRationale": "<string>",
      "composedProductIds": [
        "<string>"
      ],
      "result": {
        "code": "<string>",
        "message": "<string>"
      },
      "modelName": "<string>",
      "durationMs": 0,
      "evalLabel": "<unknown>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://docs.interchange.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Response

List Chef compose-run records

List of chef-compose runs for a storefront.

items
object[]
required
total
integer
required
Required range: 0 <= x <= 9007199254740991